SDL_CreateAudioStream(3)

NAME
SDL_CreateAudioStream - Create a new audio stream.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_AudioStream* SDL_CreateAudioStream(const SDL_AudioSpec *src_spec, const SDL_AudioSpec *dst_spec);

FUNCTION PARAMETERS

src_spec
    The format details of the input audio

dst_spec
    The format details of the output audio

RETURN VALUE
Returns a new audio stream on success, or NULL on failure.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PutAudioStreamData(3), SDL_GetAudioStreamData(3), SDL_GetAudioStreamAvailable(3), SDL_FlushAudioStream(3), SDL_ClearAudioStream(3), SDL_ChangeAudioStreamOutput(3), SDL_DestroyAudioStream(3)